Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

xpinstall is true, but add on will not install

  • 9 replies
  • 4 have this problem
  • 126 views
  • Last reply by garyc123

more options

I asked this question earlier. The add on Noscript will not install. xpinstall is true. I have reset it 5 times to true I have restarted Firefox I have restarted my computer No installation yet Please help I reset to Firefox 3, but other addons won't work with that. Why can't I install?

Chosen solution

1) You are running an old, vulnerable version of Firefox. You should update to (at least) Firefox 3.6.24 -> http://www.mozilla.com/en-US/firefox/all-older.html

2) What happens when you try to install NoScript?

Read this answer in context 👍 0

All Replies (9)

more options

Chosen Solution

1) You are running an old, vulnerable version of Firefox. You should update to (at least) Firefox 3.6.24 -> http://www.mozilla.com/en-US/firefox/all-older.html

2) What happens when you try to install NoScript?

more options

You evidently DID NOT read or u nderstand my question. I have TRIED Firefox 8 - that is WHERE THE PROBLEM IS!!

The NEW Firefox will NOT ENABLE ADD ON INSTALLATION.

I have xpinstall enabled as TRUE - It still does not matter. I SWITCHED BACK to Firefox 3. Can you provide a GOOD answer. I have over 200 sites in my whitelist Noscript file. I will run FOREVER on 3 until pigheaded programmers can figure out that new releases have bugs..

more options

Have you tried the NoScript support forum?
http://forums.informaction.com/viewforum.php?f=3

As I suggested 8 months ago, in your first support question about this problem.

more options

This is NOT the same question. So, this is no help. Yes, I have tried Noscript forum. They say it is a Firefox problem. I aggree. So, I guess I am out of luck. Sure wish someone would know how to fix this.

more options

He guess what? The copy I have of Firefox 8 DOES NOT have xpinstall.enabled as a variable. And, I add the value manually, and it still does not work. I know how to import /export whitelist sites now - which was my last question 8 months ago. But then I was not working with Firefox 8.

more options

If xpinstall.enabled isn't present then it defaults to true. If it is false then you only get an info bar asking for permission to install the extension. Only if that pref is locked to false then it has real effect.

Do you get an error message?

NoScript is singed any any change made to the XPI file will make the installation fail (some security software may do that).

more options

I do not get an error message. I get thr message "Program installation is not enabled. Click here to enable it and try installatio again." I have clicked - that does not help. I get the same message as above. This is also true for ANY add on - not just Noscript. Should I go to all manufacturer's forums and tell them their programs are faulty?

more options

Create a new profile as a test to check if your current profile is causing the problems.

See "Basic Troubleshooting: Make a new profile":

There may be extensions and plugins installed by default in a new profile, so check that in "Tools > Add-ons > Extensions & Plugins" in case there are still problems.

If that new profile works then you can transfer some files from the old profile to that new profile, but be careful not to copy corrupted files.

See:

more options

Thank you - that was a lot of help. Firefox 8 will allow noscript and my other add ons to be installed in the other profile. A question: Will the profile folder backup paste move all my programs to the new profile?